SDL_HINT_JOYSTICK_ARCADESTICK_DEVICES_EXCLUDED(3)

NAME
SDL_HINT_JOYSTICK_ARCADESTICK_DEVICES_EXCLUDED - A variable containing a list of devices that are not arcade stick style controllers.

SYNOPSIS
#include <SDL3/SDL_hints.h>

#define SDL_HINT_JOYSTICK_ARCADESTICK_DEVICES_EXCLUDED "SDL_JOYSTICK_ARCADESTICK_DEVICES_EXCLUDED"

DESCRIPTION
This will override SDL_HINT_JOYSTICK_ARCADESTICK_DEVICES and the built in device list.

The format of the string is a comma separated list of USB VID/PID pairs in hexadecimal form, e.g.

0xAAAA/0xBBBB,0xCCCC/0xDDDD

The variable can also take the form of "@file", in which case the named file will be loaded and interpreted as the value of the variable.

This hint can be set anytime.

AVAILABILITY
This hint is available since SDL 3.2.0.